#ifndef UTILS_EVENTS_HPP_
#define UTILS_EVENTS_HPP_
enum GatewayEvents {
    APPLICATION_COMMAND_PERMISSIONS_UPDATE,
    AUTO_MODERATION_ACTION_EXECUTION,
    AUTO_MODERATION_RULE_CREATE,
    AUTO_MODERATION_RULE_DELETE,
    AUTO_MODERATION_RULE_UPDATE,
    CHANNEL_CREATE,
    CHANNEL_DELETE,
    CHANNEL_PINS_UPDATE,
    CHANNEL_UPDATE,
    ENTITLEMENT_CREATE,
    ENTITLEMENT_DELETE,
    ENTITLEMENT_UPDATE,
    GUILD_AUDIT_LOG_ENTRY_CREATE,
    GUILD_BAN_ADD,
    GUILD_BAN_REMOVE,
    GUILD_CREATE,
    GUILD_DELETE,
    GUILD_EMOJIS_UPDATE,
    GUILD_INTEGRATIONS_UPDATE,
    GUILD_MEMBER_ADD,
    GUILD_MEMBER_REMOVE,
    GUILD_MEMBERS_CHUNK,
    GUILD_MEMBER_UPDATE,
    GUILD_ROLE_CREATE,
    GUILD_ROLE_DELETE,
    GUILD_ROLE_UPDATE,
    GUILD_SCHEDULED_EVENT_CREATE,
    GUILD_SCHEDULED_EVENT_DELETE,
    GUILD_SCHEDULED_EVENT_UPDATE,
    GUILD_SCHEDULED_EVENT_USER_REMOVE,
    GUILD_SOUNDBOARD_SOUND_CREATE,
    GUILD_SOUNDBOARD_SOUND_DELETE,
    GUILD_SOUNDBOARD_SOUNDS_UPDATE,
    GUILD_SOUNDBOARD_SOUND_UPDATE,
    SOUNDBOARD_SOUNDS,
    GUILD_STICKERS_UPDATE,
    GUILD_UPDATE,
    INTEGRATION_CREATE,
    INTEGRATION_DELETE,
    INTEGRATION_UPDATE,
    INVITE_CREATE,
    INVITE_DELETE,
    MESSAGE_CREATE,
    MESSAGE_DELETE,
    MESSAGE_DELETE_BULK,
    MESSAGE_POLL_VOTE_ADD,
    MESSAGE_POLL_VOTE_REMOVE,
    MESSAGE_REACTION_ADD,
    MESSAGE_REACTION_REMOVE,
    MESSAGE_REACTION_REMOVE_ALL,
    MESSAGE_REACTION_REMOVE_EMOJI,
    MESSAGE_UPDATE,
    PRESENCE_UPDATE,
    READY,
    RESUMED,
    STAGE_INSTANCE_CREATE,
    STAGE_INSTANCE_DELETE,
    STAGE_INSTANCE_UPDATE,
    SUBSCRIPTION_CREATE,
    SUBSCRIPTION_DELETE,
    SUBSCRIPTION_UPDATE,
    THREAD_CREATE,
    THREAD_DELETE,
    THREAD_LIST_SYNC,
    THREAD_MEMBERS_UPDATE,
    THREAD_MEMBER_UPDATE,
    THREAD_UPDATE,
    TYPING_START,
    USER_UPDATE,
    VOICE_CHANNEL_EFFECT_SEND,
    VOICE_SERVER_UPDATE,
    VOICE_STATE_UPDATE,
    WEBHOOKS_UPDATE
};
enum GatewayIntents {
    AutoModerationConfiguration = 1048576,
    AutoModerationExecution = 2097152,
    DirectMessagePolls = 33554432,
    DirectMessageReactions = 8192,
    DirectMessages = 4096,
    DirectMessageTyping = 16384,
    GuildBans = 4,
    GuildEmojisAndStickers = 8,
    GuildExpressions = 8,
    GuildIntegrations = 16,
    GuildInvites = 64,
    GuildMembers = 2,
    GuildMessagePolls = 16777216,
    GuildMessageReactions = 1024,
    GuildMessages = 512,
    GuildMessageTyping = 2048,
    GuildModeration = 4,
    GuildPresences = 256,
    Guilds = 1,
    GuildScheduledEvents = 65536,
    GuildVoiceStates = 128,
    GuildWebhooks = 32,
    MessageContent = 32768
};
enum UserStatus {
    Offline,
    Online,
    Idle,
    AFK,
    DoNotDisturb,
    Invisible
};
#endif